| Home | Libraries | People | FAQ | More

##### basic_static_string::append (4 of 9 overloads)

Append to the string.

###### Synopsis

    constexpr basic_static_string&
    append(
        const_pointer s,
        size_type count);

###### Description

Appends `count` characters from the string pointed to by `s` to the end of the string.

###### Exception Safety

Strong guarantee.

###### Remarks

The string can contain null characters.

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`s` | The string to append.
`count` | The number of characters to append.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | `size() + count > max_size()`